---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "utils_component_config Data Source - terraform-provider-utils"
subcategory: ""
description: |-
  The component_config data source accepts a component and a stack name and returns the component configuration in the stack
---

# utils_component_config (Data Source)

The `component_config` data source accepts a component and a stack name and returns the component configuration in the stack

## Example Usage

```terraform
locals {
  component   = "test/test-component-override"
  stack       = "tenant1-ue2-dev"
  namespace   = ""
  tenant      = "tenant1"
  environment = "ue2"
  stage       = "dev"

  env = {
    ENVIRONMENT           = local.environment
    STAGE                 = local.stage
    ATMOS_CLI_CONFIG_PATH = "."
  }

  result1 = yamldecode(data.utils_component_config.example1.output)
  result2 = yamldecode(data.utils_component_config.example2.output)
}

data "utils_component_config" "example1" {
  component     = local.component
  stack         = local.stack
  ignore_errors = false
  env           = local.env
}

data "utils_component_config" "example2" {
  component     = local.component
  namespace     = local.namespace
  tenant        = local.tenant
  environment   = local.environment
  stage         = local.stage
  ignore_errors = false
  env           = local.env
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `component` (String) Component name.

### Optional

- `env` (Map of String) Map of ENV vars in the format 'key=value'. These ENV vars will be set before executing the data source
- `environment` (String) Environment.
- `ignore_errors` (Boolean) Flag to ignore errors if the component is not found in the stack.
- `namespace` (String) Namespace.
- `stack` (String) Stack name.
- `stage` (String) Stage.
- `tenant` (String) Tenant.

### Read-Only

- `id` (String) The ID of this resource.
- `output` (String) Component configuration.


